Summary: The exim mail transfer agent
Name: exim
Version: 3.22
Release: 13.7x.1
Copyright: GPL
Url: http://www.exim.org/
Group: System Environment/Daemons
Buildroot: %{_tmppath}/%{name}-build.root
Provides: smtpdaemon
Requires: /sbin/service
Requires: /sbin/chkconfig
Requires: bash >= 2.0
Conflicts: sendmail, postfix
Source: ftp://ftp.exim.org/pub/exim/exim-%{version}.tar.bz2
Source1: aliases
Source2: exim.init
Source3: exim.sysconfig
Source4: exim.logrotate
Source5: exim.8
Source6: ftp://ftp.exim.org/pub/exim/FAQ.html.gz
Source7: ftp://ftp.exim.org/pub/exim/exim-html-3.20.tar.gz
Source8: ftp://ftp.exim.org/pub/exim/exim-postscript-3.20.tar.gz
Source9: ftp://ftp.exim.org/pub/exim/exim-pdf-3.20.tar.gz
Source10: eximconfig
Source11: exim.pam
Patch0: Local-Makefile.patch
Patch2: db2.patch
Patch3: perlfix.patch
Patch4: exim-rhl.patch
Patch5: exim-crlf.patch
Patch6: exim-crypt.patch
Patch7: exim-alrm.patch
Patch8: exim-segfault.patch
Patch9: exim-3.22-fmt.patch
Patch10: exim-3.33-pipe.patch
BuildRequires: db2-devel XFree86-devel

%description
Exim is a mail transport agent (MTA) developed at the University of
Cambridge for use on Unix systems connected to the Internet. In style
it is similar to Smail 3, but its facilities are more extensive, and
in particular it has options for verifying incoming sender and
recipient addresses, for refusing mail from specified hosts, networks,
or senders, and for controlling mail relaying. Exim is in production
use at quite a few sites, some of which move hundreds of thousands of
messages per day.

A utility, eximconfig, is included to simplify exim configuration.

%package mon
Summary: X11 monitor application for exim
Group: Applications/System
Copyright: Free

%description mon
The Exim Monitor is an optional supplement to the Exim package. It
displays information about Exim's processing in an X window, and an
administrator can perform a number of control actions from the window
interface.

%package doc
Summary: Exim documentation
Group: Documentation

%description doc
This package includes the Exim FAQ and Exim manual in HTML,
PostScript and PDF formats.

%prep
%setup -q
mkdir faq
gzip -cd $RPM_SOURCE_DIR/FAQ.html.gz > faq/FAQ.html
%setup -q -T -D -a 7
mv exim-html-3.20 html
%setup -q -T -D -a 8
mv exim-postscript-3.20 ps
%setup -q -T -D -a 9
mv exim-pdf-3.20 pdf
mkdir Local
cp src/EDITME Local/Makefile
%patch0 -p1 -b .make
cp exim_monitor/EDITME Local/eximon.conf
%patch2 -p1 -b .patch2
%patch3 -p1 -b .patch3
%patch4 -p1 -b .rhl
%patch5 -p1 -b .crlf
%patch6 -p1 -b .crypt
%patch7 -p1 -b .alrm
%patch8 -p1 -b .segfault
%patch9 -p1 -b .fmt
%patch10 -p1 -b .pipe

%build
make CFLAGS="$RPM_OPT_FLAGS" DBMLIB="-ldb2"

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/lib
mkdir -p $RPM_BUILD_ROOT/etc/pam.d

cd build-`scripts/os-type`-`scripts/arch-type`
install -m 4775 exim $RPM_BUILD_ROOT/usr/sbin

for i in eximon eximon.bin exim_dumpdb exim_fixdb exim_tidydb \
  	exinext exiwhat exim_dbmbuild exicyclog exim_lock
do
    install -m 0775 $i $RPM_BUILD_ROOT/usr/sbin
done

cd ..
for i in exigrep eximstats exiqsumm convert4r3
do
    install -m 0775 util/$i $RPM_BUILD_ROOT/usr/sbin
done

install -m 0644 src/configure.default $RPM_BUILD_ROOT/etc/exim.conf
install -m 0644 $RPM_SOURCE_DIR/aliases $RPM_BUILD_ROOT/etc/aliases
install -m 0644 $RPM_SOURCE_DIR/exim.pam $RPM_BUILD_ROOT/etc/pam.d/exim

pushd $RPM_BUILD_ROOT/usr/lib/
ln -sf ../sbin/exim sendmail
popd

pushd $RPM_BUILD_ROOT/usr/sbin/
ln -sf exim sendmail
popd

pushd $RPM_BUILD_ROOT/usr/bin/
ln -sf ../sbin/exim mailq
ln -sf ../sbin/exim runq
ln -sf ../sbin/exim rsmtp
ln -sf ../sbin/exim rmail
ln -sf ../sbin/exim newaliases
popd

install -d -m 0750 $RPM_BUILD_ROOT/var/spool/exim
install -d -m 0750 $RPM_BUILD_ROOT/var/spool/exim/db
install -d -m 0750 $RPM_BUILD_ROOT/var/spool/exim/input
install -d -m 0750 $RPM_BUILD_ROOT/var/spool/exim/msglog
install -d -m 0750 $RPM_BUILD_ROOT/var/log/exim

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
install $RPM_SOURCE_DIR/exim.8 $RPM_BUILD_ROOT%{_mandir}/man8/exim.8

mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
install -m 644 $RPM_SOURCE_DIR/exim.sysconfig $RPM_BUILD_ROOT/etc/sysconfig/exim

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install $RPM_SOURCE_DIR/exim.init $RPM_BUILD_ROOT/etc/rc.d/init.d/exim

mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
install -m 0644 $RPM_SOURCE_DIR/exim.logrotate $RPM_BUILD_ROOT/etc/logrotate.d/exim

install -m 0755 $RPM_SOURCE_DIR/eximconfig $RPM_BUILD_ROOT/usr/sbin

strip $RPM_BUILD_ROOT/usr/sbin/* || :

chmod g-w $RPM_BUILD_ROOT/usr/sbin/*

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add exim

%preun
if [ $1 = 0 ]; then
    /sbin/service exim stop > /dev/null 2>&1
    [ -d /var/log/exim ] && rm -f /var/log/exim/*
    /sbin/chkconfig --del exim
fi

%postun
if [ "$1" -ge "1" ]; then
	/sbin/service exim  condrestart > /dev/null 2>&1
fi

%files
%defattr(-,root,root)
%attr(4755,root,root) /usr/sbin/exim
/usr/sbin/exim_dumpdb
/usr/sbin/exim_fixdb
/usr/sbin/exim_tidydb
/usr/sbin/exinext
/usr/sbin/exiwhat
/usr/sbin/exim_dbmbuild
/usr/sbin/exicyclog
/usr/sbin/exigrep
/usr/sbin/eximstats
/usr/sbin/exiqsumm
/usr/sbin/exim_lock
/usr/sbin/convert4r3
/usr/sbin/eximconfig
/usr/lib/sendmail
/usr/sbin/sendmail
/usr/bin/mailq
/usr/bin/runq
/usr/bin/rsmtp
/usr/bin/rmail
/usr/bin/newaliases
%{_mandir}/*/*

%defattr(-,mail,mail)
%dir /var/spool/exim
%dir /var/spool/exim/db
%dir /var/spool/exim/input
%dir /var/spool/exim/msglog
%dir /var/log/exim

%defattr(-,root,mail)
%config(noreplace) /etc/exim.conf
%config(noreplace) /etc/aliases

%defattr(-,root,root)
%config /etc/sysconfig/exim
%config /etc/rc.d/init.d/exim
%config /etc/logrotate.d/exim
%config /etc/pam.d/exim

%doc LICENCE NOTICE README.UPDATING README README.Y2K
%doc doc util/unknownuser.sh util/transport-filter.pl

%files mon
%defattr(-,root,root)
/usr/sbin/eximon
/usr/sbin/eximon.bin

%files doc
%defattr(-,root,root)
%doc faq html ps pdf

%changelog
* Wed Dec 19 2001 Tim Waugh <twaugh@redhat.com> 3.22-13.7x.1
- Fix security problem with pipe transports.

* Wed Jun 20 2001 Tim Waugh <twaugh@redhat.com> 3.22-13.7x
- Turn off TLS.  Rebuild for 7.0.

* Fri Jun  8 2001 Tim Waugh <twaugh@redhat.com> 3.22-12
- Fix format string bug.

* Wed May  2 2001 Tim Waugh <twaugh@redhat.com> 3.22-11
- SIGALRM patch from maintainer (bug #20908).
- There's no README.IPV6 any more (bug #32378).
- Fix logrotate entry for exim's pidfile scheme (bug #35436).
- ignore_target_hosts crash fix from maintainer.
- Make the summary start with a capital letter.
- Add reload entry to initscript; use $0 in strings.

* Sun Mar  4 2001 Tim Waugh <twaugh@redhat.com> 3.22-10
- Make sure db ownership is correct on upgrade, since we don't run as
  root when running as a daemon any more.

* Fri Mar  2 2001 Tim Powers <timp@redhat.com>
- rebuilt against openssl-0.9.6-1

* Sat Feb 17 2001 Tim Waugh <twaugh@redhat.com>
- Run as user mail, group mail when we drop privileges (bug #28193).

* Tue Feb 13 2001 Tim Powers <timp@redhat.com>
- added conflict with postfix

* Thu Jan 25 2001 Tim Waugh <twaugh@redhat.com>
- Avoid using zero-length salt in crypteq expansion.

* Tue Jan 23 2001 Tim Waugh <twaugh@redhat.com>
- Redo initscript internationalisation.
- Initscript uses bash not sh.

* Mon Jan 22 2001 Tim Waugh <twaugh@redhat.com>
- Okay, the real bug was in libident.

* Mon Jan 22 2001 Tim Waugh <twaugh@redhat.com>
- Revert the RST patch for now; if it's needed, it's a pidentd bug
  and should be fixed there.

* Mon Jan 22 2001 Tim Waugh <twaugh@redhat.com>
- 3.22.
- Build requires XFree86-devel.

* Mon Jan 15 2001 Tim Waugh <twaugh@redhat.com>
- New-style prereqs.
- Initscript internationalisation.

* Thu Jan 11 2001 Tim Waugh <twaugh@redhat.com>
- Security patch no longer required; 3.20 and later have a hide feature
  to do the same thing.
- Mark exim.conf noreplace.
- Better libident (RST) patch.

* Wed Jan 10 2001 Tim Waugh <twaugh@redhat.com>
- Fix eximconfig so that it tells the user the correct place to look
  for documentation
- Fix configure.default to deliver mail as group mail so that local
  delivery works

* Tue Jan 09 2001 Tim Waugh <twaugh@redhat.com>
- 3.21

* Mon Jan 08 2001 Tim Waugh <twaugh@redhat.com>
- Enable TLS support (bug #23196)

* Mon Jan 08 2001 Tim Waugh <twaugh@redhat.com>
- 3.20 (bug #21895).  Absorbs configure.default patch
- Put URLs in source tags where applicable
- Add build requirement on pam-devel

* Wed Oct 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix up eximconfig's header generation (we're not Debian), Bug #18068
- BuildRequires db2-devel (Bug #18089)
- Fix typo in logrotate script (Bug #18308)
- Local delivery must be setuid to work (Bug #18314)
- Don't send TCP RST packages to ident (Bug #19048)

* Wed Oct 18 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 3.16
- fix security bug
- some specfile cleanups
- fix handling of RPM_OPT_FLAGS

* Fri Aug 18 2000 Tim Powers <timp@redhat.com>
- fixed bug #16535, logrotate script changes

* Thu Aug 17 2000 Tim Powers <timp@redhat.com>
- fixed bug #16460
- fixed bug #16458
- fixed bug #16476

* Wed Aug 2 2000 Tim Powers <timp@redhat.com>
- fixed bug #15142

* Fri Jul 28 2000 Than Ngo <than@redhat.de>
- add missing restart function in startup script
- add rm -rf $RPM_BUILD_ROOT in install section
- use %%{_tmppath}

* Fri Jul 28 2000 Tim Powers <timp@redhat.com>
- fixed initscript so that condrestart doesn't return 1 when the test fails

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 17 2000 Tim Powers <timp@redhat.com>
- inits bakc to rc.d/init.d, using service to start inits

* Thu Jul 13 2000 Tim Powers <timp@redhat.com>
- applied patch from bug #13890

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Jul 06 2000 Tim Powers <timp@redhat.com>
- added patch submitted by <Chris.Keane@comlab.ox.ac.uk>, fixes bug #13539

* Thu Jul 06 2000 Tim Powers <timp@redhat.com>
- fixed broken prereq to require /etc/init.d

* Tue Jun 27 2000 Tim Powers <timp@redhat.com>
- PreReq initscripts >= 5.20

* Mon Jun 26 2000 Tim Powers <timp@redhat.com>
- fix init.d script location
- add condrestart to init.d script

* Wed Jun 14 2000 Nalin Dahyabhai <nalin@redhat.com>
- migrate to system-auth setup

* Tue Jun 6 2000 Tim Powers <timp@redhat.com>
- fixed man page location

* Tue May 9 2000 Tim Powers <timp@redhat.com>
- rebuilt for 7.0

* Fri Feb 04 2000 Tim Powers <timp@redhat.com>
- fixed the groups to be in Red Hat groups.
- removed Vendor header since it is going to be marked Red Hat in our build
	system.
- quiet setups
- strip binaries
- fixed so that man pages can be auto gzipped by new RPM (in files list
	/usr/man/*/* )
- built for Powertools 6.2

* Tue Jan 18 2000 Mark Bergsma <mark@mbergsma.demon.nl>
- Upgraded to exim 3.13
- Removed i386 specialization
- Added syslog support

* Wed Dec 8 1999 Mark Bergsma <mark@mbergsma.demon.nl>
- Upgraded to exim 3.12
- Procmail no longer used as the delivery agent

* Wed Dec 1 1999 Mark Bergsma <mark@mbergsma.demon.nl>
- Upgraded to exim 3.11

* Sat Nov 27 1999 Mark Bergsma <mark@mbergsma.demon.nl>
- Added /etc/pam.d/exim

* Wed Nov 24 1999 Mark Bergsma <mark@mbergsma.demon.nl>
- Upgraded to exim 3.10

* Thu Nov 11 1999 Mark Bergsma <mark@mbergsma.demon.nl>
- Added eximconfig script, thanks to Mark Baker
- Exim now uses the Berkeley DB library.

* Fri Aug 4 1999 Mark Bergsma <mark@mbergsma.demon.nl>
- Upgraded to version 3.03
- Removed version number out of the spec file name.

* Fri Jul 23 1999 Mark Bergsma <mark@mbergsma.demon.nl>
- Added embedded Perl support.
- Added tcp_wrappers support.
- Added extra documentation in a new doc subpackage.

* Mon Jul 12 1999 Mark Bergsma <mark@mbergsma.demon.nl>
- Added /usr/sbin/sendmail as a link to exim.
- Fixed wrong filenames in logrotate entry. 

* Sun Jul 11 1999 Mark Bergsma <mark@mbergsma.demon.nl>
- Now using the '%changelog' tag.
- Removed the SysV init links - let chkconfig handle them. 
- Replaced install -d with mkdir -p

* Sat Jul 10 1999 Mark Bergsma <mark@mbergsma.demon.nl>
- Fixed owner of the exim-mon files - the owner is now root

* Thu Jul 08 1999 Mark Bergsma <mark@mbergsma.demon.nl>
- Removed executable permission bits of /etc/exim.conf
- Removed setuid permission bits of all programs except exim
- Changed spool/log directory owner/groups to 'mail'
- Changed the default configuration file to make exim run
      as user and group 'mail'.

* Thu Jul 08 1999 Mark Bergsma <mark@mbergsma.demon.nl>
- Added the /usr/bin/rmail -> /usr/sbin/exim symlink.
- Added the convert4r3 script.
- Added the transport-filter.pl script to the documentation.

* Thu Jul 08 1999 Mark Bergsma <mark@mbergsma.demon.nl>
- Added procmail transport and director, and made that the
      default.
- Added the unknownuser.sh script to the documentation.

* Thu Jul 08 1999 Mark Bergsma <mark@mbergsma.demon.nl>
- Added manpage for exim.
- Fixed symlinks pointing to targets under Buildroot.
- The exim logfiles will now only be removed when uninstalling,
      not upgrading.

* Wed Jul 07 1999 Mark Bergsma <mark@mbergsma.demon.nl>
- Added 'Obsoletes' header.
- Added several symlinks to /usr/sbin/exim.

* Wed Jul 07 1999 Mark Bergsma <mark@mbergsma.demon.nl>
- First RPM packet release.
- Not tested on other architectures/OS'es than i386/Linux..
